/* GNOME INPUT METHOD SWITCHER
 * Copyright 2004 Red Hat
 *
 * This is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __STATUS_PLACEMENT_H
#define __STATUS_PLACEMENT_H

typedef enum {
  ON_DESKTOP_PANEL,
  ATTACH_TO_APP_FRAME
} IMStatusPlacement;

#define DEFAULT_STATUS_PLACEMENT "application"

IMStatusPlacement gimlet_status_placement (char *str);
char *gimlet_status_placement_name (IMStatusPlacement placement);

#endif /* __STATUS_PLACEMENT_H */
